
#declare ColibriScale = 2.5;
#declare FlatLeavesPourScale = 3.5;
#declare FlatLeavesUprightScale = 3.15;
#declare GreenPlantScale = 2;
#declare LittleFloreScale = 2;
#declare BushScale = 3.25;

#declare KapokTreeScale = 30;//'54' before
#declare WavedBranchesScale = 33;//'60' before
#declare SawedTrunkScale = 4; //Tune value
#declare BirchScale = 17;

#declare IdealYBasePosition = ( 223 / 255 ) * 4;

#macro PlaceObject( ObjectToPlant, ParamScale, Y_AxisRot, VectorPos )
	object{ ObjectToPlant scale ParamScale rotate Y_AxisRot * y translate IdealYBasePosition * y translate VectorPos }
#end

//Objects names are (without the quotes)
/*
'Bush1'
'Colibri'
'FlatLeavesPour'
'FlatLeavesUpright'
'GreenPlant'
'LittleFlore'
'KapokTree1'
'KapokTree2'
'WavedBranches'
'SawedTrunk'
*/