//Custom arrays macros

#macro IsEqualToArraySize(Array, Size)
	#local Boolean = 0;
	#if( dimension_size(Array, 1) = Size )
		#local Boolean = 1;
	#else
		#local Boolean = 0;
	#end
	Boolean
#end

#macro DoubleArraySizeIfNeeded(Array, CurrentIndex)
	#if( CurrentIndex >= dimension_size(Array, 1 ) )
		Resize_Array( Array, dimension_size(Array, 1) * 2 )//This macro is present in the standard 'array.inc' povray file
	#end
#end