#include "colors.inc"
#include "skies.inc"

#macro MakeSky( BottomBlue, TopBlue, EmissionVect )
	#declare SkyPigment = pigment{ gradient y color_map{
													[0.0 BottomBlue ]
													[0.75 TopBlue ]
													}
						}
	sky_sphere{ pigment{SkyPigment} }
						
	sphere{0, 1 
		pigment{ SkyPigment }
		finish{ diffuse 0 emission EmissionVect }
		hollow on 
		no_shadow
		no_image
		no_reflection
		scale 40000
	}
#end

#macro MakeCloudedSky( BottomColor, TopColor, EmissionVect)
	sky_sphere{ S_Cloud2 }

	sphere{0, 1 
		pigment{ P_Cloud1 rotate 40 * x }
		finish{ diffuse 0 emission 0 }
		scale 40000
		hollow on 
		no_shadow
		no_image
		//no_reflection
	}
#end